- Cal3D 0.11 API Reference -

Public Member Functions | Protected Attributes | List of all members
CalCoreKeyframe Class Reference

The core keyframe class. More...

`#include <corekeyframe.h>`

## Public Member Functions

| CalCoreKeyframe ()
| Constructs the core keyframe instance.
virtual | ~CalCoreKeyframe ()
| Destructs the core keyframe instance.
bool | create ()
| Creates the core keyframe instance.
void | destroy ()
| Destroys the core keyframe instance.
const CalQuaternion & | getRotation ()
| Returns the rotation.
float | getTime () const
| Returns the time.
const CalVector & | getTranslation ()
| Returns the translation.
void | setRotation (const CalQuaternion &rotation)
| Sets the rotation.
void | setTime (float time)
| Sets the time.
void | setTranslation (const CalVector &translation)
| Sets the translation.

## Protected Attributes

float | m_time
CalVector | m_translation
CalQuaternion | m_rotation

## Detailed Description

The core keyframe class.

## Constructor & Destructor Documentation

## ◆ CalCoreKeyframe()

CalCoreKeyframe::CalCoreKeyframe | ( |  | ) |

Constructs the core keyframe instance.

This function is the default constructor of the core keyframe instance.

## ◆ ~CalCoreKeyframe()

CalCoreKeyframe::~CalCoreKeyframe | ( |  | ) |

virtual

Destructs the core keyframe instance.

This function is the destructor of the core keyframe instance.

## Member Function Documentation

## ◆ create()

bool CalCoreKeyframe::create | ( |  | ) |

Creates the core keyframe instance.

This function creates the core keyframe instance.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ destroy()

void CalCoreKeyframe::destroy | ( |  | ) |

Destroys the core keyframe instance.

This function destroys all data stored in the core keyframe instance and frees all allocated memory.

## ◆ getRotation()

const CalQuaternion & CalCoreKeyframe::getRotation | ( |  | ) |

Returns the rotation.

This function returns the rotation of the core keyframe instance.

Returns
  The rotation as quaternion.

## ◆ getTime()

float CalCoreKeyframe::getTime | ( |  | ) | const

inline

Returns the time.

This function returns the time of the core keyframe instance.

Returns
  The time in seconds.

## ◆ getTranslation()

const CalVector & CalCoreKeyframe::getTranslation | ( |  | ) |

Returns the translation.

This function returns the translation of the core keyframe instance.

Returns
  The translation as vector.

## ◆ setRotation()

void CalCoreKeyframe::setRotation | ( | const CalQuaternion & | rotation | ) |

Sets the rotation.

This function sets the rotation of the core keyframe instance.

Parameters

  rotation | The rotation as quaternion.

## ◆ setTime()

void CalCoreKeyframe::setTime | ( | float | time | ) |

Sets the time.

This function sets the time of the core keyframe instance.

Parameters

  rotation | The time in seconds.

## ◆ setTranslation()

void CalCoreKeyframe::setTranslation | ( | const CalVector & | translation | ) |

Sets the translation.

This function sets the translation of the core keyframe instance.

Parameters

  rotation | The translation as vector.

The documentation for this class was generated from the following files:

- corekeyframe.h
- corekeyframe.cpp

Generated by The Cal3D Team with Doxygen 1.15.0